org.eclipse.microprofile.config

## Interface ConfigValue

    public interface ConfigValue

The ConfigValue holds additional information after the lookup of a configuration property and is itself immutable.

Holds information about the configuration property name, configuration value, the `ConfigSource` name from where the configuration property was loaded and the ordinal of the `ConfigSource`.

This is used together with `Config` to expose the configuration property lookup metadata.

Since:
  2.0
Author:
  Roberto Cortez

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` The name of the property.
`String` `getRawValue()` The value of the property lookup without any transformation (expanded , etc).
`String` `getSourceName()` The `ConfigSource` name that loaded the property lookup.
`int` `getSourceOrdinal()` The `ConfigSource` ordinal that loaded the property lookup.
`String` `getValue()` The value of the property lookup with transformations (expanded, etc).

### Method Detail

#### getName

    String getName()

The name of the property.

Returns:
  the name of the property.

#### getValue

    String getValue()

The value of the property lookup with transformations (expanded, etc).

Returns:
  the value of the property lookup or `null` if the property could not be found

#### getRawValue

    String getRawValue()

The value of the property lookup without any transformation (expanded , etc).

Returns:
  the raw value of the property lookup or `null` if the property could not be found.

#### getSourceName

    String getSourceName()

The `ConfigSource` name that loaded the property lookup.

Returns:
  the ConfigSource name that loaded the property lookup or `null` if the property could not be found

#### getSourceOrdinal

    int getSourceOrdinal()

The `ConfigSource` ordinal that loaded the property lookup.

Returns:
  the ConfigSource ordinal that loaded the property lookup or `0` if the property could not be found